<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Guess the Color!</title>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;600&display=swap" rel="stylesheet">
    <style>
        @keyframes gradient {
            0% {
                background-position: 0% 50%;
            }

            50% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0% 50%;
            }
        }

        body {
            font-family: 'Montserrat', sans-serif;
            text-align: center;
            margin: 0;
            padding: 0;
            background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
            background-size: 400% 400%;
            color: white;
            height: 100vh;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            animation: gradient 15s ease infinite;
        }

        h1 {
            font-weight: 600;
            font-size: 2.5rem;
            margin-bottom: 2rem;
        }

        .button {
            display: inline-block;
            padding: 15px 30px;
            margin: 10px;
            border: none;
            border-radius: 25px;
            color: white;
            font-size: 18px;
            font-weight: 400;
            cursor: pointer;
            transition: transform 0.2s, box-shadow 0.2s;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
        }

        .button:hover {
            transform: translateY(-5px);
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
        }

        .red {
            background-color: #FF7675;
        }

        .blue {
            background-color: #74b9ff;
        }

        .green {
            background-color: #55efc4;
        }

        .yellow {
            background-color: #ffeaa7;
            color: #2d3436;
            /* For better contrast with light yellow */
        }
    </style>
</head>

<body>
    <h1>Guess the Color!</h1>
    <form action="/guess" method="get">
        <button name="color" value="red" class="button red">Red</button>
        <button name="color" value="blue" class="button blue">Blue</button>
        <button name="color" value="green" class="button green">Green</button>
        <button name="color" value="yellow" class="button yellow">Yellow</button>
    </form>
</body>

</html>




